#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> niz;
    vector<int> a;
    vector<int> b;
    n *= 2;

    for(int i = 1; i <= n; i++){
        niz.push_back(i);
    }

    for(int i = 0; i < n / 2; i++){
        if(i % 2 == 0){
            a.push_back(niz[i / 2]);
        }else{
            a.push_back(niz[n - ((i + 1) / 2)]);
        }
    }

    for(int i = n / 2; i < n; i++){
        if(i % 2 == 0){
            b.push_back(niz[i / 2]);
        }else{
            b.push_back(niz[n - ((i + 1) / 2)]);
        }
    }

    for(int i = 0; i < n/2; i++){
        cout << a[i] << " ";
    }
    
    cout << "" << endl;

    for(int i = 0; i < n/2; i++){
        cout << b[i] << " ";
    }
}